import QtQuick 1.1

Menu {
    id: aboutMenu

    property string title: ""
    property string body: ""
    property string body_ru: ""
    property string body_fi: ""

    signal back();

    Flickable {
        id: f
        anchors.fill: parent;
        anchors.centerIn: parent;
        anchors.margins: parent.margin/8
        contentHeight: story.height
        contentWidth: story.width
        flickableDirection: Flickable.VerticalFlick
        clip: true
        Text {
            id: story
            width: f.width
            font.pixelSize: 20
            wrapMode: Text.WordWrap
            textFormat: Text.RichText
            text: '<h3>'+aboutMenu.title+'</h3>'+f.getBodyText();
            onLinkActivated: Qt.openUrlExternally(link);
        }

        function getBodyText() {
            console.debug("Getting about text for locale: "+_locale)
            if (_locale==='ru' && body_ru!=='')
                return aboutMenu.body_ru;
            if (_locale==='fi' && body_fi!=='')
                return aboutMenu.body_fi;

            return aboutMenu.body;
        }
    }
    Button {
        source: "images/buttons/menu.svg";
        anchors.horizontalCenter: parent.horizontalCenter;
        anchors.bottom: f.bottom
        size: 48;
        onClicked: {
            aboutMenu.hide();
            aboutMenu.back();
        }
    }

}
