import QtQuick 1.1

Item {
    id: bg

    property string place: "tku"    
    property bool isStart: true
    property int tileSize: _isFast ? 512 : 256;

    Component {
        id: cityDelegate
        Image {
            id: gi
            x: bg.x+(index*width);
            y: 0
            width: height;
            height: bg.height;
            source: getBgImage(index);
            smooth: _isFast ? true : false;
            sourceSize {
                width: tileSize;
                height: tileSize;
            }
            function getBgImage(i)
            {                
                if (isStart) {
                    switch (i) {
                    case 0:
                        return "images/bg/"+bg.place+"/bg1.svg"
                    case 1:
                        return "images/bg/"+bg.place+"/bg2.svg"
                    }
                }
                return "images/bg/"+bg.place+"/bg3.svg"                
            }
        }
    }

    Repeater {
        id: bgRepeater
        model: blocks
        delegate: cityDelegate

        property int blocks: bg.width/256;
    }
}
