import QtQuick 1.1
import Box2D 1.0

Body {
    id: groundJumpBody
    bodyType: Body.Static
    width: 40*size;
    height: 6;

    property real size: 1;
    property int angle: 6
    property int gid: 300

    fixtures: [
        Box {
            id: gj1
            friction: 20.0;
            density: 1;
            restitution: 0;
            rotation: 2
            width: 40
            height: 6
        },
        Box {
            id: gj2
            friction: 20.0;
            density: 1;
            restitution: 0;
            anchors.fill: parent
        }
    ]

    // Use an nice tiling ground image(s) when we have time
    WoodPlank {
        id: j
        anchors.fill: groundJump
    }
    WoodPlank {
        x: j.x+j.width/2;
        y: j.y+4;
        height: angle;
        width: 6;
        rotation: angle;
    }
    WoodPlank {
        x: j.x+j.width-width*2;
        y: j.y+4;
        height: angle*2;
        width: 6;
        rotation: angle;
    }

}
