import QtQuick 1.1

Item {
    id: me
    width: size;
    height: size;

    property int size: parent.width;
    property string sourceOn: btnImage.source;
    property string sourceOff: btnImage.source;
    property alias enabled: ma.enabled
    property bool checked: false;
    property real pressedScale: 1.1

    signal clicked()

    MouseArea {
        id: ma
        anchors.fill: parent
        onClicked: {
            checked=!checked;
            me.clicked();
        }
    }

    Image {
        id: btnImage
        anchors.centerIn: parent;
        scale: (ma.enabled && ma.pressed) ? pressedScale : 1.0;
        Behavior on scale { NumberAnimation { easing.type: Easing.InOutCubic; duration: 80 } }
        width: size;
        height: size;
        smooth: true;
        source: me.checked ? sourceOn : sourceOff;
        sourceSize {
            width: me.size
            height: me.size;
        }
    }
}

