import QtQuick 1.1

Image {
    id: c
    property real size: 1;
    property alias animate: sa.running
    property real fromX: 0;
    property real toX: 0;
    property real velocity: 20
    property int fadeTime: 1000;

    source: "images/cloud.svg"
    scale: size;
    sourceSize.width: 128
    sourceSize.height: 64

    SequentialAnimation {
        id: sa        
        NumberAnimation { target: c; property: "opacity"; from: 0; to: 1; duration: c.fadeTime; }
        SmoothedAnimation { target: c; property: "x"; to: toX; velocity: c.velocity; }
        SmoothedAnimation { target: c; property: "x"; to: fromX; velocity: c.velocity; }
        NumberAnimation { target: c; property: "opacity"; to: 0; from: 1; duration: c.fadeTime; }
    }
}
