import QtQuick 1.1
import Box2D 1.0
import "game.js" as G

Body {
    id: body

    width: 64*size;
    height: 64*size;

    property real size: 1;
    property real friction: 2;
    property real restitution: 0.02;
    property int gid: 300    

    sleepingAllowed: true
    fixedRotation: false;

    // bodyType: Body.Dynamic

    fixtures: Box {
        anchors.fill: parent
        density: 1.0
        friction: body.friction
        restitution: body.restitution;
        onBeginContact: {
            var f=G.getTotalForce(linearVelocity.x, linearVelocity.y);
            sfx.playSfx(84, G.mapValue(f, 10, 500, 0.01, 1.0));
        }

        // onEndContact: w.endContact(w);
    }

    Image {
        anchors.fill: parent
        source: "images/items/box2.svg";
        anchors.margins: -1
        smooth: _isFast ? true : false;
        sourceSize {
            width: 128;
            height: 128;
        }
    }
}
