import QtQuick 1.1
import Qt.labs.particles 1.0

Image {
    id: droplet
    width: 64;
    height: 64;
    source: "images/menu/water.svg"
    anchors.margins: 16
    opacity: 0.2;
    scale: 0.01;

    Behavior on opacity { NumberAnimation { easing.type: Easing.OutQuad; duration: 220; }  }
    Behavior on scale { NumberAnimation { easing.overshoot: 2.0; easing.type: Easing.InOutBack; duration: 450 }  }

    signal dropletBurst();

    Particles {
        id: pe;
        anchors.centerIn: droplet;
        source: "images/menu/water_particle.png"
        emissionRate: 0
        emissionVariance: 0.8;
        count: 0
        velocity: 120
        velocityDeviation: 140
        angle: -90
        angleDeviation: 260
        lifeSpan: 1250
        ParticleMotionGravity {
                     yattractor: 991000
                     xattractor: 0
                     acceleration: 38
        }
    }

    function noDroplet()
    {
        droplet.opacity=0.5;
        droplet.scale=0.9;
    }

    function gotDroplet()
    {
        droplet.opacity=1;
        droplet.scale=1;
        pe.burst(20,-1);
        dropletBurst();
    }

    function reset()
    {
        droplet.opacity=0.2;
        droplet.scale=0.01;
    }

}
