import QtQuick 1.1
import Box2D 1.0

Body {
    id: endFlag
    bodyType: Body.Static
    property int gid: 666
    property int groundY: 0

    width: flag.width
    height: flag.height

    signal playerHit();

    fixtures: Box {
        id: ground
        friction: 0;
        density: 0;
        sensor: true;
        anchors.fill: parent
        onBeginContact: {
            if (other.parent.gid===2000)
                endFlag.playerHit();
        }
    }

    Image {
        id: flag
        x: ground.x
        y: groundY-height;        
        height: 256
        fillMode: Image.PreserveAspectFit
        source: "images/signs/flag.png"
        smooth: _isFast ? true : false;
        sourceSize {
            height: _isFast ? 256 : 128;
            // height: width;
        }
    }
}
