import QtQuick 1.1
import Box2D 1.0

Body {
    id: item
    fixedRotation: true
    sleepingAllowed: true
    height: size;
    width: size;
    bodyType: Body.Static
    active: wi.visible

    property int gid: 1000
    property real size: 32
    property variant food: null;

    property int energy: food ? food.energy : 0;
    property int water: food ? food.water : 0;
    property int score: food ? food.score : 0;

    signal beginContact(variant other);
    signal endContact(variant other);

    fixtures: Circle {
        id: c
        radius: size/2
        sensor: true
        density: 0
        friction: 0

        onBeginContact: {            
            if (other.parent.gid===2000 && water>0 && energy>0) {
                var p=other.parent.getPlayer();

                p.eat(energy, water, score, food);

                water=0;
                energy=0;
                //wi.opacity=0;
                wi.scale=0;
                item.beginContact(p);
            }
        }
        onEndContact: {            
            item.endContact(other.parent);            
        }
    }

    Image {
        id: wi
        anchors.centerIn: c
        source: food ? "images/food/"+food.type+".svg" : "";
        smooth: false;
        width: item.width;
        height: item.height;
        fillMode: Image.PreserveAspectFit
        visible: scale>0

        Behavior on opacity {
            enabled: false;
            NumberAnimation { duration: 450; easing.type: Easing.InQuad}
        }
        Behavior on scale { NumberAnimation { easing.overshoot: 4; duration: 350; easing.type: Easing.InBack} }
    }
}
