import QtQuick 1.1

Rectangle {
    id: gm
    width: parent.width/2
    height: parent.height/2    
    opacity: 0.8;
    radius: width/40;
    y: (parent.height-height)/2
    x: (parent.width-width)/2
    visible: true;

    property alias text: t.text
    property alias textDetails: d.text

    property real showOpacity: _useOpacity ? 0.8 : 1.0;
    property real hideOpacity: _useOpacity ? 0.0 : 1.0;

    signal clicked();

    state: "shown"

    states: [
        State { name: "hidden"; },
        State { name: "shown"; }
    ]

    function show() { state='shown' }
    function hide() { state='hidden' }

    transitions: [
        Transition {
            from: "shown"
            to: "hidden"
            ParallelAnimation {
                NumberAnimation { target: gm; property: "y"; easing.type: Easing.OutQuart; to: parent.height; duration: 500 }
                NumberAnimation { target: gm; property: "opacity"; to: hideOpacity; duration: 500 }
            }
        },
        Transition {
            from: "hidden"
            to: "shown"
            ParallelAnimation {
                NumberAnimation { target: gm; property: "y"; easing.type: Easing.InBack; to: parent.height/20; duration: 500 }
                NumberAnimation { target: gm; property: "opacity"; to: showOpacity; duration: 400 }
            }
        }
    ]

    MouseArea {
        anchors.fill: parent;
        onClicked: gm.clicked();
    }

    Text {
        id: t
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter        
        anchors.centerIn: parent;
        font.pixelSize: 42
        width: parent.width
    }

    Text {
        id: d;
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
        anchors.top: t.bottom;
        font.pixelSize: 36
        width: parent.width
    }
}
