import QtQuick 1.1

Text {
    id: gameTime
    font.pixelSize: 22
    style: Text.Outline
    styleColor: "#347add"
    text: gameTimer.secs>0 ? formatTime(gameTimer.secs) : "0:00"

    property alias running: gameTimer.running

    function formatTimeSeconds(secs)
    {
        if (secs<10)
            return "0"+secs.toString();
        return secs.toString();
    }

    function formatTime(secs)
    {
        if (secs>60) {
            var m=Math.floor(secs/60);
            return m.toString()+":"+formatTimeSeconds(secs-m*60);
        } else if (secs<10) {
            return "0:"+formatTimeSeconds(secs);
        } else if (secs>0) {
            return "0:"+formatTimeSeconds(secs);
        }
        return "0:00"
    }

    function reset() {
        gameTimer.secs=-1;
    }

    Timer {
        id: gameTimer
        interval: 1000;
        repeat: true;
        triggeredOnStart: true;

        property int secs: -1

        onTriggered: secs++;

    }
}

