import QtQuick 1.1
import Box2D 1.0

Body {
    id: g
    bodyType: Body.Static

    property int grassHeight: 18
    property int gid: 500

    fixtures: Box {
        id: ground
        friction: 80.0;
        density: 0;
        restitution: 0.0
        anchors.fill: parent
    }

    Component {
        id: roadDelegate
        Image {
            id: gi
            x: ground.x+(index*width);
            y: ground.y-grassHeight;
            //width: ground.width;
            height: ground.height;
            fillMode: Image.TileHorizontally
            source: Math.random()>0.8 ? "images/ground/road1.svg" : "images/ground/road2.svg"
            smooth: false;
        }
    }

    Component {
        id: groundDelegate
        Image {
            source: Math.random()>0.5 ? "images/ground/grass1.svg" : "images/ground/grass2.svg"
            x: getX(index);
            y: gr.y - height + grassHeight/2+Math.random()*grassHeight;
            mirror: Math.random()>0.5;
            // z: y<-50 ? 10 : 0;
            smooth: false;

            function getX(i)
            {
                var x=20 + ground.x + (i * width * 4)+Math.random() * (g.width/gr.grass);
                if (x>g.width)
                    x=g.width;
                return x;
            }
        }
    }

    Repeater {
        id: road
        property int blocks: ground.width/97;
        model: blocks
        delegate: roadDelegate
    }

    Repeater {
        id: gr
        property int grass: ground.width/98;
        model: grass
        delegate: groundDelegate
        Component.onCompleted: {
            console.debug("Ground: "+g.width+" Grassyness:"+grass)
        }
    }
}
