/*
  The Otters head
  */
import QtQuick 1.1
import Box2D 1.0
import Qt.labs.particles 1.0


Body {
    id: w
    property real size: 32
    fixedRotation: false;
    sleepingAllowed: true;
    height: size;
    width: size;

    property alias fx: wi.x
    property alias fy: wi.y

    property alias density: c.density
    property alias friction: c.friction

    property alias group: c.groupIndex
    property int gid: 2000;

    property real cx: wi.x+wi.width/2
    property real cy: wi.y+wi.height/2

    signal beginContact(variant other, real lvx, real lvy);
    signal endContact(variant other);

    fixtures: Circle {
        id: c
        radius: size/2
        density: 0.3;
        friction: 16.0;
        restitution: 0.4;
        onBeginContact: {
            w.beginContact(other.parent, w.linearVelocity.x, w.linearVelocity.y);
        }
        onEndContact: w.endContact(w);
    }

    Image {
        id: wi
        anchors.centerIn: c
        source: "images/otty/head.svg"
        smooth: _isFast ? true : false;
        width: w.width;
        height: w.height/(147/114);
        sourceSize {
            width: 147/3
            height: 114/3
        }
    }

    Particles {
        id: pe;        
        anchors.centerIn: wi;
        source: "images/star.png"
        emissionRate: 0
        count: 0
        velocity: 40
        velocityDeviation: 40
        angle: 0
        angleDeviation: 360
        lifeSpan: 500
        ParticleMotionGravity {
            yattractor: 991000
            xattractor: 0
            acceleration: 25
        }
    }

    function fireworks(l) {
        if (l>40)
            l=40;
        pe.velocity=l+30;
        pe.burst(l/2, -1);
    }

}
