import QtQuick 1.1
import Box2D 1.0

Body {
    id: groundJumpBody
    bodyType: Body.Static
    width: 40*size;
    height: 6;

    property real size: 1;
    property int angle: 6
    property int gid: 300

    rotation: -angle;

    fixtures: [
        Box {
            id: groundJump
            friction: 20.0;
            density: 1;
            restitution: 0;
            anchors.fill: parent
        }
    ]

    // Use an nice tiling ground image(s) when we have time
    WoodPlank {
        id: j
        anchors.fill: groundJump;
        onYChanged: console.debug("CCWPLJY: "+j.y)
    }

    // placeholder to get top-right x,y for jump
    Item {
        id: e
        anchors.top: j.top
        anchors.left: j.right
        width: 4;
        height: 4;
        rotation: angle;
        // End support
        WoodPlank {
            x: -4;
            y: 4;
            height: Math.sin(angle*(Math.PI/180.0))*groundJumpBody.width;
            width: 4;
        }
    }
}
