import QtQuick 1.1
import Box2D 1.0

Body {
    id: groundLandingBody
    bodyType: Body.Static
    width: 40*size;
    height: 6;

    property real size: 1;
    property int angle: 6
    property int gid: 300

    rotation: -(180-angle);

    fixtures: [
        Box {
            id: groundJump
            friction: 10.0;
            density: 1;
            restitution: 0;
            anchors.fill: parent
        }
    ]

    WoodPlank {
        id: j
        anchors.fill: groundJump;
    }

    // placeholder to get top-right x,y for jump
    Item {
        id: e
        anchors.top: j.top
        anchors.left: j.right
        width: 4;
        height: 4;
        rotation: 180-angle;
        // End support
        WoodPlank {
            x: 4;
            y: 4;
            height: Math.sin(e.rotation*(Math.PI/180.0))*groundLandingBody.width;
            width: 4;
        }
    }
}
