import QtQuick 1.1

Menu {
    id: gp
    margin: 0

    signal restartLevel();
    signal quitGame();
    signal unpause();

    Column {
        width: parent.width
        anchors.centerIn: parent;
        spacing: 16
        Text {
            id: endMsg;
            text: qsTr("Paused");
            font.pixelSize: 36
            anchors.horizontalCenter: parent.horizontalCenter;
        }
        Row {            
            anchors.horizontalCenter: parent.horizontalCenter;
            height: 64;
            width: 3*64+3*32;            
            spacing: 32;

            Button {
                id: btnBack
                source: "images/buttons/backward.svg"
                size: 64
                onClicked: {
                    gp.hide();
                    unpause();
                }
            }
            Button {
                id: btnTryAgain
                source: "images/buttons/again.svg"
                size: 64
                onClicked: {
                    gp.hide();
                    restartLevel();
                }
            }
            Button {
                id: btnQuit
                source: "images/buttons/end.svg"
                size: 64
                onClicked: {
                    gp.hide();
                    quitGame();
                }
            }
        }
    }
}
