import QtQuick 1.1

Item {
    id: me
    width: 64
    height: sign.height
    x: 0
    y: 0

    signal selected();
    signal clicked();

    property alias source: sign.source;
    property bool isSelected: false;
    property alias enabled: ma.enabled;
    property int score: 0;

    Image {
        id: sign
        fillMode: Image.PreserveAspectFit
        scale: 1+(zoom.xScale-1)*0.1;
        smooth: !signAnimation.running || _isFast;
        opacity: ma.enabled ? 1.0 : 0.8;
        width: 64;
        x: -22
        y: -64
        transformOrigin: Item.Bottom;
        sourceSize {
            width: 172
            height: 256
        }
        SequentialAnimation {
            id: signAnimation;
            running: ma.enabled;
            loops: Animation.Infinite
            RotationAnimation { easing.type: Easing.InOutQuad; target: sign; properties: "rotation"; to: 3; duration: 5000 }
            PauseAnimation { duration: 2000 }
            RotationAnimation { easing.type: Easing.InOutQuad; target: sign; properties: "rotation"; to: -3; duration: 5000 }
            PauseAnimation { duration: 2000 }
        }
        Behavior on opacity { NumberAnimation { duration: 150; easing.type: Easing.InOutQuad} }
    }
    /*
    Text {
        id: scoreLevel
        text: me.score
        font.pixelSize: 20
        visible: isSelected;
        opacity: isSelected ? 1.0 : 0.0;
        smooth: true;
        anchors.verticalCenter: sign.verticalCenter
        anchors.horizontalCenter: sign.horizontalCenter
        Behavior on opacity { NumberAnimation { duration: 250; easing.type: Easing.InOutQuad} }
    }
    */

    MouseArea {
        id: ma
        anchors.fill: sign;
        anchors.margins: -32;
        onClicked: {
            if (isSelected) {
                me.clicked();
            } else {
                isSelected=true;
                selected();
                zoomIn();
            }
        }
    }
}
