import QtQuick 1.1

Item {
    id: cm    
    height: 64
    width: height*4;

    property real value: 0;
    property real valueMax: 3000;

    signal valueIsZero();

    property alias meterColor: m.color

    property string type: "energy"

    Rectangle {
        id: m
        x: bg.width-6;
        y: (cm.height/2)-(height/2)
        width: computeLevel(cm.value);
        height: 16
        color: "blue";

        Behavior on width { NumberAnimation { duration: 100; easing.type: Easing.InOutQuad} }
    }

    Image {
        id: bg
        anchors.left: parent.left
        source: "images/menu/"+cm.type+"_button.svg"
        height: parent.height;
        width: height;
        fillMode: Image.PreserveAspectFit
        smooth: _isFast ? true : false;
        sourceSize {
            height: bg.height
            width: bg.height
        }
    }

    Timer {
        id: criticalTimer
        interval: 500
        repeat: true
        onTriggered: {
            bg.visible=!bg.visible;
        }
    }

    function setCritical(v) {
        criticalTimer.running=v;
        if (!v)
            bg.visible=true;        
    }

    function computeLevel(v)
    {
        return (v<valueMax ? v : valueMax)/valueMax * (cm.width - 64);
    }

    function fillUp()
    {
        value=valueMax;
    }

    function drain()
    {
        value=0;
    }

    function set(v)
    {
        value=v;
    }

    function use(v)
    {
        value=-v;
        if (value<0) {
            value=0;
            valueIsZero();
        }
    }
}
