import QtQuick 1.1

Item {
    id: tc
    height: 80*2.2
    width: 80*2.5

    property variant c: null;
    signal clicked();

    MouseArea {
        anchors.fill: parent
        hoverEnabled: false;

        property variant current: null;

        onClicked: {
            tc.clicked();
        }

        onPressed: {
            checkSubs();
        }

        onReleased: {
            if (current) {
                current.active=false;
                current=null;
            }
        }

        onPositionChanged: {
            checkSubs();
        }

        function checkSubs() {
            var i=childAt(mouseX, mouseY);            
            if (i) {
                // We have an active one, just return
                if (i===current)
                    return;
                // We have a new current, adjust
                if (current)
                    current.active=false;
                current=i;
                i.active=true;
            } else if (current) {
                current.active=false;
                current=null;
            }
        }

        TouchControl {
            id: u
            onPressed: c.jump();
            onReleased: c.stopJump();
            source: "images/buttons/jump.svg"
            anchors.top: parent.top
            anchors.horizontalCenter: parent.horizontalCenter            
        }

        TouchControl {
            id: l
            onPressed: c.brake();
            onReleased: c.stopBrake();
            source: "images/buttons/backward.svg"
            anchors.bottom: parent.bottom
            anchors.left: parent.left;
        }

        TouchControl {
            id: r
            onPressed: c.pedal();
            onReleased: c.stopPedal();
            source: "images/buttons/play.svg"
            anchors.bottom: parent.bottom
            anchors.right: parent.right
        }
    }
}
