import QtQuick 1.1
import Box2D 1.0

Body {
    id: waterItem
    fixedRotation: true
    sleepingAllowed: true
    height: size;
    width: size;
    bodyType: Body.Dynamic

    property int gid: 1000
    property real size: 32
    property int water: 10;

    signal beginContact(variant other);
    signal endContact(variant other);

    fixtures: Circle {
        id: c
        radius: size/2
        sensor: true
        density: 0
        friction: 0

        onBeginContact: {
            console.debug("ITEM-HIT: "+other.parent);
            if (other.parent.gid===2000 && water>0) {
                var p=other.parent.getPlayer();
                console.debug("PLAYER HIT WATER")
                p.addScore(score);
                water=0;
                wi.opacity=0;
                wi.scale=0;
            }
        }
    }

    Image {
        id: wi
        anchors.centerIn: c
        source: "images/menu/water_particle.png"
        smooth: false;
        width: item.width;
        height: item.height;
        fillMode: Image.PreserveAspectFit
        Behavior on opacity { NumberAnimation { duration: 450; easing.type: Easing.InQuad} }
        Behavior on scale { NumberAnimation { easing.overshoot: 4; duration: 350; easing.type: Easing.InBack} }
    }
}
